import { Pool } from 'pg';
import { SchemaConstraint } from './Orm/PostgresqlDriver';
export interface DBOptions {
    config: {
        user: string | undefined;
        password: string | undefined;
        database: string | undefined;
        host?: string;
        port?: number | string | number;
        createIfNotExists?: boolean;
    };
    schema: string;
    errorEntityNotFound: unknown;
}
export declare function dbInit<DBSchema extends SchemaConstraint>(projectDir: string, options: DBOptions): Promise<{
    db: import("./Orm/PostgresqlDriver").BaseDB<DBSchema>;
    pool: Pool;
}>;
//# sourceMappingURL=dbInit.d.ts.map