import { GraphQLScalarType } from 'graphql';
export declare type RootResolver<T, Context> = {
    [P in keyof T]: T[P] extends (args: infer Args) => infer R ? (args: Args, ctx: Context) => Return<R> : never;
};
export declare type QueryParameters<Q> = {
    [P in keyof Q]: Q[P] extends (args: infer Args) => unknown ? Args : never;
};
export declare type Return<T> = Promise<T>;
export declare function fromPromise<T>(val: Promise<T> | (() => Promise<T>) | T): T extends Promise<infer V>[] ? V[] : T extends (() => Promise<infer V>)[] ? V : T;
export declare const graphQLBigintTypeFactory: (typeName: string) => GraphQLScalarType | undefined;
//# sourceMappingURL=graphQLUtils.d.ts.map