/// <reference types="node" />
import request = require('request');
export interface RequestOptions extends request.CoreOptions {
    attemptsCount?: number;
    attemptDelay?: number;
}
declare type Response = {
    res?: request.Response;
    statusCode: number;
    body: Buffer | string | object;
};
export declare function requestRaw(url: string, options?: RequestOptions): Promise<Response>;
export declare function requestJSON<T>(url: string, options?: RequestOptions): Promise<{
    data: T;
} & Response>;
export declare function mockJsonRequest(_method: string, _url: string, _json: object | undefined, _result: object): void;
export declare function mockGetJsonRequest(url: string, result: object): void;
export declare function mockPostJsonRequest(url: string, json: object | undefined, result: object): void;
export {};
//# sourceMappingURL=request.d.ts.map